@font-face {
  font-family: "Poppins";
  src: url(/assets/fonts/Poppins/Poppins/Poppins-Regular.ttf)format("truetype");
  font-weight: 400;
  font-style: normal;
  font-display: swap
}

* {
  box-sizing: border-box;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale
}

body {
  padding: 0;
  margin: 0;
  font-family: "Poppins",sans-serif;
  font-weight: 400;
  overflow-x: hidden
}

nav {
  padding: 50px 7%;
  justify-content: space-between;
  z-index: 1
}

nav,nav .logo,nav ul {
  display: flex;
  align-items: center
}

nav .logo img {
  width: 70px;
  height: auto;
  object-fit: contain
}

nav ul {
  list-style: none;
  flex-direction: row;
  gap: 2.5rem
}

.contact-container {
  text-align: right
}

nav .contact-container a,nav ul li a {
  text-decoration: none;
  color: #2e8b57;
  font-size: 100%;
  padding: 6px 0;
  border-radius: 5px;
  position: relative;
  transition: color .3s ease,background-color .3s ease;
  text-transform: uppercase;
  font-family: "Poppins",sans-serif
}

.menubar ul li a::after,nav .contact-container a::after,nav ul li a::after {
  content: "";
  position: absolute;
  bottom: -6px;
  left: 0;
  width: 0;
  height: 3px;
  background-color: #28a745;
  transition: width .3s ease
}

.menubar ul li a:hover::after,nav .contact-container a:hover::after,nav ul li a.active-link::after,nav ul li a:hover::after {
  width: 100%
}

nav ul li a {
  color: #000;
  padding: 6px 12px;
  font-weight: 400
}

.hamburger {
  display: none;
  cursor: pointer
}

.hamburger .line {
  width: 30px;
  height: 4px;
  background-color: #1f1f1f;
  display: block;
  margin: 6px auto;
  transition: all .3s ease-in-out
}

.menubar,.overlay {
  position: fixed;
  top: 0;
  width: 100%;
  height: 100vh
}

.menubar,.menubar ul li a {
  font-family: "Poppins",sans-serif
}

.menubar {
  left: -100%;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  padding: 10%0;
  background: rgba(255,255,255);
  transition: all .3s ease-in-out;
  z-index: 2;
  box-shadow: rgba(149,157,165,.2)0 8px 24px;
  text-transform: uppercase;
  will-change: left
}

.menubar.active {
  left: 0
}

.menubar ul {
  padding: 0;
  list-style: none;
  text-align: center;
  width: 100%
}

.menubar ul li {
  margin-bottom: 20px
}

.menubar ul li a {
  text-decoration: none;
  color: #000;
  font-size: 100%;
  font-weight: 500;
  padding: 5px 15px;
  border-radius: 5px;
  display: block;
  position: relative;
  transition: background-color .3s ease,color .3s ease
}

.menubar ul li a::after {
  height: 2px
}

.menubar ul li a:hover {
  background-color: #f5f5f5;
  color: #2e8b57
}

.overlay {
  display: none;
  left: 0;
  gap: 2rem;
  z-index: 1;
  background: 0 0;
  transition: opacity .3s ease
}

.overlay.active {
  display: block
}

@media (min-width: 1366px) {
  body {
    font-size: 18px; 
    line-height: 1.6; 
    margin: 0;
    padding: 0;
  }

  nav {
    padding: 50px 10%; 
    justify-content: space-between;
    align-items: center;
  }

  nav .logo img {
    width: 60px; 
    height: auto;
    object-fit: contain;
  }

  nav ul {
    gap: 3rem; 
    padding: 0;
  }

  nav ul li a {
    font-size: 0.8rem; 
    padding: 8px 16px; 
  }

  .contact-container {
    text-align: right;
    font-size: 0.8rem; 
  }
  

  nav ul li a::after,
  nav .contact-container a::after {
    bottom: -8px; 
    height: 4px; 
  }

  nav ul li a:hover::after,
  nav ul li a.active-link::after {
    width: 100%; 
  }
}



@media screen and (max-width:790px) {
  nav .logo img {
      width: 50px;
      height: auto;
      object-fit: contain;
      margin: 10px
  }

  nav {
      padding: 0 5%
  }

  .hamburger {
      display: block
  }

  nav .contact-container,nav ul {
      display: none
  }

  .menubar {
      margin-top: 80px;
      width: 100%
  }

  .menubar.active {
      left: 0
  }

  .overlay.active {
      display: block
  }

  .menubar ul {
      padding: 0;
      list-style: none;
      text-align: center;
      width: 100%
  }

  .menubar ul li {
      margin-bottom: 32px
  }

  .menubar ul li a {
      font-size: .8rem;
  }
}